## kafkacat 1.1.0

=== Makefile ===

BIN=	kafkacat

SRCS=	kafkacat.c
OBJS=	$(SRCS:.c=.o)

.PHONY:

all: $(BIN)

include mklove/Makefile.base

# librdkafka must be compiled with -gstrict-dwarf, but kafkacat must not,
# due to some clang bug on OSX 10.9
CPPFLAGS := $(subst strict-dwarf,,$(CPPFLAGS))

install: bin-install

clean: bin-clean

-include $(DEPS)

=== debian/changelog ===
kafkacat (1.1.0-2) unstable; urgency=medium

  * Fix manual page.
  * Build-Depends on librdkafka-dev (>= 0.8.4)

 -- Vincent Bernat <bernat@debian.org>  Tue, 09 Dec 2014 20:39:54 +0100

kafkacat (1.1.0-1) unstable; urgency=medium

  * Initial release. Closes: #772011.

 -- Vincent Bernat <bernat@debian.org>  Thu, 04 Dec 2014 11:54:56 +0100

=== debian/control ===
Source: kafkacat
Section: net
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders: Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>= 9),
               librdkafka-dev (>= 0.8.4),
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://github.com/edenhill/kafkacat
Vcs-Browser: https://github.com/edenhill/kafkacat/tree/debian
Vcs-Git: git://github.com/edenhill/kafkacat.git -b debian

Package: kafkacat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: generic producer and consumer for Apache Kafka
 kafkacat is a generic non-JVM producer and consumer for Apache Kafka
 0.8, think of it as a netcat for Kafka.
 .
 In producer mode kafkacat reads messages from stdin, delimited with a
 configurable delimeter and produces them to the provided Kafka
 cluster, topic and partition. In consumer mode kafkacat reads messages
 from a topic and partition and prints them to stdout using the
 configured message delimiter.
 .
 kafkacat also features a Metadata list mode to display the current
 state of the Kafka cluster and its topics and partitions.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/kafkacat-$1.tar.gz/ \
  https://github.com/edenhill/kafkacat/releases .*/v?(\d\S*)\.tar\.gz

## kafkacat 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,10 @@
+include Makefile.config
 
 BIN=	kafkacat
 
-SRCS=	kafkacat.c
-OBJS=	$(SRCS:.c=.o)
+SRCS_y=	kafkacat.c format.c
+SRCS_$(ENABLE_JSON) += json.c
+OBJS=	$(SRCS_y:.c=.o)
 
 .PHONY:
 
@@ -14,7 +16,12 @@
 # due to some clang bug on OSX 10.9
 CPPFLAGS := $(subst strict-dwarf,,$(CPPFLAGS))
 
-install: bin-install
+install: bin-install install-man
+
+install-man:
+	echo $(INSTALL) -d $$DESTDIR$(man1dir) && \
+	echo $(INSTALL) kafkacat.1 $$DESTDIR$(man1dir)
+
 
 clean: bin-clean

=== debian/changelog ===
kafkacat (1.2.0-2) unstable; urgency=medium

  * Fix FTBFS due to dh trying to run "make distclean". Patch from Gustavo
    Prado Alkmim. Closes: #787844.

 -- Vincent Bernat <bernat@debian.org>  Sat, 06 Jun 2015 18:50:15 +0200

kafkacat (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Enable JSON support.
  * Patch to let configure accept --disable-silent-rules.

 -- Vincent Bernat <bernat@debian.org>  Thu, 04 Jun 2015 10:04:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Faidon Liambotis <paravoid@debian.org>
 Build-Depends: debhelper (>= 9),
                librdkafka-dev (>= 0.8.4),
-               zlib1g-dev
+               zlib1g-dev,
+               libyajl-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/edenhill/kafkacat
 Vcs-Browser: https://github.com/edenhill/kafkacat/tree/debian

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-json --no-download

override_dh_auto_clean:
	dh_clean

override_dh_auto_build:
	make clean
	dh_auto_build

## kafkacat 1.3.0

=== debian/changelog ===
kafkacat (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: ensure librdkafka can handle consumer mode.
  * d/control: use TLS for Vcs-Git URL.
  * d/control: build-depends on pkg-config and libyajl-dev.
  * d/patches: removve disable-silent-rules-support.patch.

 -- Vincent Bernat <bernat@debian.org>  Tue, 07 Jun 2016 20:26:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Vincent Bernat <bernat@debian.org>
 Uploaders: Faidon Liambotis <paravoid@debian.org>
 Build-Depends: debhelper (>= 9),
-               librdkafka-dev (>= 0.8.4),
+               librdkafka-dev (>= 0.9.0),
+               pkg-config,
                zlib1g-dev,
-               libyajl-dev
-Standards-Version: 3.9.6
+               libyajl-dev (>= 2)
+Standards-Version: 3.9.8
 Homepage: https://github.com/edenhill/kafkacat
 Vcs-Browser: https://github.com/edenhill/kafkacat/tree/debian
-Vcs-Git: git://github.com/edenhill/kafkacat.git -b debian
+Vcs-Git: https://github.com/edenhill/kafkacat.git -b debian
 
 Package: kafkacat
 Architecture: any
@@ -20,7 +21,7 @@
  0.8, think of it as a netcat for Kafka.
  .
  In producer mode kafkacat reads messages from stdin, delimited with a
- configurable delimeter and produces them to the provided Kafka
+ configurable delimiter and produces them to the provided Kafka
  cluster, topic and partition. In consumer mode kafkacat reads messages
  from a topic and partition and prints them to stdout using the
  configured message delimiter.

## kafkacat 1.3.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 BIN=	kafkacat
 
-SRCS_y=	kafkacat.c format.c
+SRCS_y=	kafkacat.c format.c tools.c
 SRCS_$(ENABLE_JSON) += json.c
 OBJS=	$(SRCS_y:.c=.o)

=== debian/changelog ===
kafkacat (1.3.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Bump librdkafka-dev build-dependency to >= 0.11. 

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 12 Apr 2018 21:27:24 +0300

kafkacat (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * d/control: bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Thu, 13 Jul 2017 17:47:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Vincent Bernat <bernat@debian.org>
 Uploaders: Faidon Liambotis <paravoid@debian.org>
 Build-Depends: debhelper (>= 9),
-               librdkafka-dev (>= 0.9.0),
+               librdkafka-dev (>= 0.11.0),
                pkg-config,
                zlib1g-dev,
                libyajl-dev (>= 2)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/edenhill/kafkacat
 Vcs-Browser: https://github.com/edenhill/kafkacat/tree/debian
 Vcs-Git: https://github.com/edenhill/kafkacat.git -b debian

## kafkacat 1.4.0

=== debian/changelog ===
kafkacat (1.4.0-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Vincent Bernat ]
  * New upstream version.

 -- Vincent Bernat <bernat@debian.org>  Mon, 29 Jul 2019 13:54:42 +0200

## kafkacat 1.5.0

=== debian/changelog ===
kafkacat (1.5.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTCBFS: Export build tools via environment for mklove.
    Closes: #946445

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 08 Dec 2019 20:00:33 +0100

kafkacat (1.5.0-1) unstable; urgency=medium

  * New upstream version.
  * Enable avro support.

 -- Vincent Bernat <bernat@debian.org>  Fri, 04 Oct 2019 17:07:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Vincent Bernat <bernat@debian.org>
 Uploaders: Faidon Liambotis <paravoid@debian.org>
 Build-Depends: debhelper (>= 9),
-               librdkafka-dev (>= 0.11.0),
+               librdkafka-dev (>= 0.9.0),
+               libavro-dev,
                pkg-config,
                zlib1g-dev,
                libyajl-dev (>= 2)

## kafkacat 1.6.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 SRCS_y=	kafkacat.c format.c tools.c
 SRCS_$(ENABLE_JSON) += json.c
+SRCS_$(ENABLE_AVRO) += avro.c
 OBJS=	$(SRCS_y:.c=.o)
 
 .PHONY:

=== debian/changelog ===
kafkacat (1.6.0-1) unstable; urgency=medium

  * New upstream release.
    + Fix FTBFS due to ./configure script not accepting
      --disable-option-checking. Closes: #963440
  * d/control: bump Standards-Version
  * d/control: switch to debhelper 13

 -- Vincent Bernat <bernat@debian.org>  Tue, 21 Jul 2020 11:05:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
 Uploaders: Faidon Liambotis <paravoid@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                librdkafka-dev (>= 0.9.0),
                libavro-dev,
                pkg-config,
                zlib1g-dev,
                libyajl-dev (>= 2)
-Standards-Version: 4.0.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/edenhill/kafkacat
 Vcs-Browser: https://github.com/edenhill/kafkacat/tree/debian
 Vcs-Git: https://github.com/edenhill/kafkacat.git -b debian

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-json --enable-avro --no-download

override_dh_auto_clean:
	dh_clean

override_dh_auto_build:
	make clean
	dh_auto_build

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/kafkacat-$1.tar.gz/ \
  https://github.com/edenhill/kafkacat/releases .*/v?(\d[^-]*)\.tar\.gz

## kafkacat 1.7.1

=== Makefile ===
include Makefile.config

BIN=	kcat

SRCS_y=	kcat.c format.c tools.c input.c
SRCS_$(ENABLE_JSON) += json.c
SRCS_$(ENABLE_AVRO) += avro.c
OBJS=	$(SRCS_y:.c=.o)

.PHONY:

all: $(BIN) TAGS

include mklove/Makefile.base

# librdkafka must be compiled with -gstrict-dwarf, but kcat must not,
# due to some clang bug on OSX 10.9
CPPFLAGS := $(subst strict-dwarf,,$(CPPFLAGS))

install: bin-install install-man

install-man:
	echo $(INSTALL) -d $$DESTDIR$(man1dir) && \
	echo $(INSTALL) kcat.1 $$DESTDIR$(man1dir)


clean: bin-clean

test:
	$(MAKE) -C tests

TAGS: .PHONY
	@(if which etags >/dev/null 2>&1 ; then \
		echo "Using etags to generate $@" ; \
		git ls-tree -r --name-only HEAD | egrep '\.(c|cpp|h)$$' | \
			etags -f $@.tmp - ; \
		cmp $@ $@.tmp || mv $@.tmp $@ ; rm -f $@.tmp ; \
	 elif which ctags >/dev/null 2>&1 ; then \
		echo "Using ctags to generate $@" ; \
		git ls-tree -r --name-only HEAD | egrep '\.(c|cpp|h)$$' | \
			ctags -e -f $@.tmp -L- ; \
		cmp $@ $@.tmp || mv $@.tmp $@ ; rm -f $@.tmp ; \
	fi)


-include $(DEPS)

=== tests/Makefile ===
TESTS?=	$(wildcard [0][0-9][0-9][0-9]*.sh)

all: run


run:
	@(for test in $(TESTS) ; do \
		./$$test || \
		(echo "=== Test $$test FAILED ===" ; exit 1) ;\
	done)


trivup:
	python3 -m pip install -r requirements.txt
	python3 -m trivup.clusters.KafkaCluster --sr --version 2.8.0 \
		--cmd "make run"

=== debian/changelog ===
kafkacat (1.7.1-3) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Fix override_dh_auto_clean override to properly clean the source tree.
    (Closes: #1047095)
  * Remove "--enable-avro" and drop libavro-dev Build-Depends. Avro support
    requires libserdes, which is not in Debian. We were passing --enable-avro,
    but that does not actually take any effect, and thus both the flag and the
    associated build-dependency were superfluous.
  * Build with hardening flags (hardening=+all).
  * Remove Breaks/Replaces: kafkacat, as it was superfluous: kcat has no file
    conflicts with the old kafkacat packages.
  * Build-Depend on pkgconf, instead of the now transitional pkg-config.
  * Bump Standards-Version to 4.6.2, no changes needed.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 13 Nov 2023 10:43:16 +0200

kafkacat (1.7.1-2) unstable; urgency=medium

  * Source-only upload.

 -- Vincent Bernat <bernat@debian.org>  Sat, 19 Nov 2022 09:16:47 +0100

kafkacat (1.7.1-1) unstable; urgency=medium

  [ Vincent Bernat ]
  * d/watch: update to use GitHub API
  * d/control: rename kafkacat to kcat
  * d/copyright: update
  * d/manpages: rename kafkacat to kcat
  * d/compat: remove
  * d/install: add
  * d/rules: disable tests

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on librdkafka-dev and
      libyajl-dev.

 -- Vincent Bernat <bernat@debian.org>  Tue, 01 Nov 2022 17:21:08 +0100

=== debian/control ===
Source: kafkacat
Section: net
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders:
 Faidon Liambotis <paravoid@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 librdkafka-dev,
 libyajl-dev,
 pkgconf,
 zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/edenhill/kcat
Vcs-Browser: https://github.com/edenhill/kcat/tree/debian
Vcs-Git: https://github.com/edenhill/kcat.git -b debian

Package: kcat
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: producer and consumer for Apache Kafka
 kcat is a generic non-JVM producer and consumer for Apache Kafka
 0.8, think of it as a netcat for Kafka.
 .
 In producer mode kcat reads messages from stdin, delimited with a
 configurable delimiter and produces them to the provided Kafka
 cluster, topic and partition. In consumer mode kcat reads messages
 from a topic and partition and prints them to stdout using the
 configured message delimiter.
 .
 kcat also features a Metadata list mode to display the current
 state of the Kafka cluster and its topics and partitions.

Package: kafkacat
Architecture: all
Section: oldlibs
Depends:
 kcat,
 ${misc:Depends},
Description: producer and consumer for Apache Kafka (transitional package)
 kcat is a generic non-JVM producer and consumer for Apache Kafka
 0.8, think of it as a netcat for Kafka.
 .
 This package is a transitional package. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-json --no-download

override_dh_auto_clean:
	# Makefile includes Makefile.config, which is generated by ./configure
	[ -f Makefile.config ] && dh_auto_clean || true
	# do the equivalent of a "distclean" to return to a pristine source tree
	rm -f Makefile.config config.h config.log config.log.old config.cache

override_dh_auto_test:

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s/.+\/([0-9\.]+)/kcat-$1.tar.gz/ \
 https://api.github.com/repos/edenhill/kcat/tags \
https://api.github.com/repos/edenhill/kcat/tarball/refs/tags/([0-9\.]+).,
